LDO65(1)

NAME
ldo65 - linker for o65 object files

SYNOPSIS
ldo65 [OPTION]... FILE...

DESCRIPTION
ldo65 is a linker for files in the o65 object format, formerly ld65 but renamed to avoid conflicts with the cc65 package (a separate product).

OPTIONS

-b? addr
    Relocate segment ? to addr. ? must be either t, d, b or z to indicate the text, data, bss or zero segment respectively. See the xa(1) man page for an explanation.

-o filename
    Set output filename. The default is a.o65.

-L name
    Allow label name to remain undefined, even after linking. This option may be specified multiple times for multiple labels.

-U  Allow any label to remain undefined, even after linking.

-G  Suppress writing of globals.

-g name
    Only export global name. This option may be specified multiple times for multiple globals.

--help
    Show summary of options.

--version
    Show version of program.

SEE ALSO
file65(1), reloc65(1), uncpk(1), dxa(1), xa(1)

AUTHOR
This manual page was written by David Weinehall <tao@acc.umu.se> and Cameron Kaiser <ckaiser@floodgap.com>. Original xa package (C)1989-1997 Andre Fachat. Additional changes (C)1989-2024 Andre Fachat, Jolse Maginnis, David Weinehall and Cameron Kaiser. The current maintainer is Cameron Kaiser.

WEBSITE
http://www.floodgap.com/retrotech/xa/